#!/bin/bash
set -ex

if [ `uname` == Darwin ]; then
    WHEELS_BUILD_ARGS=""
    export LDFLAGS="-headerpad_max_install_names $LDFLAGS"
else
    if [ "$CONDA_PY" == "36" ]; then
        WHEELS_BUILD_ARGS="-p manylinux1_x86_64"
    else
        WHEELS_BUILD_ARGS="-p manylinux2014_x86_64"
    fi
fi

export MKLROOT=$PREFIX
${PYTHON} setup.py install --single-version-externally-managed --record=record.txt

# Build wheel package
if [ -n "${WHEELS_OUTPUT_FOLDER}" ]; then
    $PYTHON setup.py bdist_wheel ${WHEELS_BUILD_ARGS}
    cp dist/mkl_service*.whl ${WHEELS_OUTPUT_FOLDER}
fi

# Remove cython pyc file that introduces clobber issues at install time
rm ${SP_DIR}/__pycache__/cython.cpython-${CONDA_PY}.pyc
